<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <div>
            Seconds: <input type="text" id="sec"><br>
            Minutes: <input type="text" id="min"><br>
            Hours: <input type="text" id="hour"><br>
            <input type="button" id="start" value="Start Clock"><br>
            <input type="button" id="stop" value="Stop Clock"><br>
        </div>
        <script>
            function assignEvents(e) {
                sec = 0;
                min = 0;
                hour = 0;
                document.getElementById("sec").value = sec;
                document.getElementById("min").value = min;
                document.getElementById("hour").value = hour;
                document.getElementById("start").addEventListener("click", startClock);
                document.getElementById("stop").addEventListener("click", stopClock);
            }

            function startClock() {
                interval = setInterval("increment()", 1000);
            }

            function increment() {
                sec += 1;
                if (sec > 60) {
                    sec = 0;
                    min += 1;
                    if (min > 60) {
                        min = 0;
                        hour += 1;
                    }
                }
                document.getElementById("sec").value = sec;
                document.getElementById("min").value = min;
                document.getElementById("hour").value = hour;
            }

            function stopClock() {
                clearInterval(interval);
                sec = 0;
                min = 0;
                hour = 0;
                document.getElementById("sec").value = sec;
                document.getElementById("min").value = min;
                document.getElementById("hour").value = hour;
            }
            document.addEventListener("DOMContentLoaded", assignEvents);
        </script>
    </body>
</html>
